星期三, 5月 02, 2012

在Linux環境中讓Apache使用NTLM認證

簡單地說,就是我不想再用Windows Server開發,但是又需要NTLM/AD整合認證,所以只好DIY自力更生。

Ubuntu 12.04還是用Apache 2.2,所以就以Apache 2.2為主。

星期二, 5月 01, 2012

Ubuntu 12.04的ruby

不知為何,Ubuntu 12.04只有ruby 1.8和ruby 1.9.1,這樣很難相信它是一個最新的套件。
結果後來才發現它有ruby-rvm的套件,所以我就
sudo apt-get install ruby-rvm

升級至Ubuntu Server 12.04

這次在XenServer裡把Ubuntu Server 10.04 LTS升級到Ubuntu Server 12.04 LTS的過程很怪異,以前在Desktop用的sudo apt-get dist-upgrade無效。

搜尋後發現Server必須要用
sudo do-release-upgrade -d
有些說明檔寫do-release-upgrade是不夠的。

我在XenServer裡升級,有些無效的repository必須先手動移除,不知為何我必須移掉台灣的Ubuntu site才行。原本用ssh連線會有問題,所以直接在console作業。

升級完後再起不能,原本想說是不是XenServer不支援,沒想到不知哪裡來的靈感,把vm的boot parameter移掉就好了,就是原本的:
-- quiet console=hvc0
這次算是是有神助呀,等等得去拜乖乖大神!原來是升級用的kernel版本有問題,開進去之後再sudo apt-get install linux-image-3.2.0-24 linux-headers-3.2.0-24 ,重開前記得把boot parameter,就一切正常! (之後再 sudo apt-get remove 'linux-image-2.6.*' )